scim::IMEngineModule Class Reference
IMEngine

The class to manipulate the IMEngine modules. More...

`#include <scim_imengine_module.h>`

## Public Member Functions

| IMEngineModule ()
| Default constructor.
| IMEngineModule (const String &name, const ConfigPointer &config)
| Constructor.
bool | load (const String &name, const ConfigPointer &config)
| Load a IMEngine Module by its name.
bool | unload ()
| Unload the IMEngine Module.
bool | valid () const
| Check if a module is loaded and initialized successfully.
unsigned int | number_of_factories () const
| Get how many IMEngine factories supported by this module.
IMEngineFactoryPointer | create_factory (unsigned int engine) const
| Create an object for an IMEngine factory.

## Detailed Description

The class to manipulate the IMEngine modules.

This is a wrapper of scim::Module class, which is specially for manipulating the IMEngine modules.

## Constructor & Destructor Documentation

## IMEngineModule() [1/2]

scim::IMEngineModule::IMEngineModule | ( |  | ) |

Default constructor.

## IMEngineModule() [2/2]

scim::IMEngineModule::IMEngineModule | ( | const String & | name,
|  | const ConfigPointer & | config )

Constructor.

Parameters

  name | - the module's name, eg. "rawcode".
  config | - a smart pointer points to a ConfigBase instance.

## Member Function Documentation

## load()

bool scim::IMEngineModule::load | ( | const String & | name,
|  | const ConfigPointer & | config )

Load a IMEngine Module by its name.

Load a module into memory. If another module has been loaded into this object, then the old module will be unloaded first. If the old module is resident, false will be returned, and the old module will be untouched.

Parameters

  name | - the name of the IMEngine Module.
  config | - the ConfigBase instance to be used for storing/loading configs.

Returns
  true if success.

## unload()

bool scim::IMEngineModule::unload | ( |  | ) |

Unload the IMEngine Module.

Returns
  true if sucessfully unloaded.

## valid()

bool scim::IMEngineModule::valid | ( |  | ) | const

Check if a module is loaded and initialized successfully.

Returns
  true if a module is already loaded and initialized successfully.

## number_of_factories()

unsigned int scim::IMEngineModule::number_of_factories | ( |  | ) | const

Get how many IMEngine factories supported by this module.

Returns
  the number of IMEngine factories.

## create_factory()

IMEngineFactoryPointer scim::IMEngineModule::create_factory | ( | unsigned int | engine | ) | const

Create an object for an IMEngine factory.

Parameters

  engine | - the index of this IMEngine factory, must be less than the result of number_of_factories method and greater than or equal to zero.

Returns
  A smart pointer to the factory object, NULL if failed.

The documentation for this class was generated from the following file:

- scim_imengine_module.h